org.jfree.chart.plot

## Class PlotUtilities

- java.lang.Object
- - org.jfree.chart.plot.PlotUtilities

    public class PlotUtilities
    extends java.lang.Object

Some utility methods related to the plot classes.

Since:
  1.0.7

### Constructor Summary

Constructors
Constructor and Description
`PlotUtilities()`

### Method Summary

Methods
`static boolean` `isEmptyOrNull(XYPlot plot)` Returns `true` if all the datasets belonging to the specified plot are empty or `null`, and `false` otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlotUtilities

    public PlotUtilities()

### Method Detail

#### isEmptyOrNull

    public static boolean isEmptyOrNull(XYPlot plot)

Returns `true` if all the datasets belonging to the specified plot are empty or `null`, and `false` otherwise.

Parameters:
  `plot` - the plot (`null` permitted).
Returns:
  A boolean.
Since:
  1.0.7